Skip to main content
POST
/
api
/
v1
/
calendars
Create a new calendar.
curl --request POST \
  --url https://api.backside.app/api/v1/calendars \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "color": "<string>",
  "description": "<string>",
  "is_primary": true,
  "timezone": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_primary": true,
  "is_visible": true,
  "metadata": "<unknown>",
  "name": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "color": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "timezone": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
color
string | null
description
string | null
is_primary
boolean | null
timezone
string | null

Response

201 - application/json

Calendar created

created_at
string<date-time>
required
id
string<uuid>
required
is_primary
boolean
required
is_visible
boolean
required
metadata
any
required
name
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
color
string | null
deleted_at
string<date-time> | null
description
string | null
timezone
string | null